# IRremoteESP8266: src/ir_Lego.cpp File Reference

ir_Lego.cpp File Reference

Support for LEGO protocols. More...

## Variables

const uint16_t | kLegoPfBitMark = 158
const uint16_t | kLegoPfHdrSpace = 1026
const uint16_t | kLegoPfZeroSpace = 263
const uint16_t | kLegoPfOneSpace = 553
const uint32_t | kLegoPfMinCommandLength = 16000

## Detailed Description

Support for LEGO protocols.

Note
  LEGO is a Registrated Trademark of the Lego Group.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/641
  https://github.com/crankyoldgit/IRremoteESP8266/files/2974525/LEGO_Power_Functions_RC_v120.pdf

## Variable Documentation

## kLegoPfBitMark

const uint16_t kLegoPfBitMark = 158

## kLegoPfHdrSpace

const uint16_t kLegoPfHdrSpace = 1026

## kLegoPfMinCommandLength

const uint32_t kLegoPfMinCommandLength = 16000

## kLegoPfOneSpace

const uint16_t kLegoPfOneSpace = 553

## kLegoPfZeroSpace

const uint16_t kLegoPfZeroSpace = 263